Skip to content

List Waitlist Contacts

GET
/api/superadmin/waitlist
curl --request GET \
--url 'https://example.com/api/superadmin/waitlist?offset=0&limit=100' \
--header 'Authorization: Bearer <token>'

List Resend audience contacts (the waitlist).

Returns 503 if RESEND_API_KEY or RESEND_AUDIENCE_ID is not configured.

offset
Offset
integer
0
limit
Limit
integer
default: 100 >= 1 <= 500

Successful Response

Media type application/json
WaitlistListResponse
object
contacts
required
Contacts
Array<object>
WaitlistContactResponse
object
id
Any of:
string
email
Any of:
string
created_at
Any of:
string
unsubscribed
Unsubscribed
boolean
total
required
Total
integer
Example
{
"contacts": [
{
"unsubscribed": false
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}